Vector::BLF::AfdxErrorEvent(3)

NAME
Vector::BLF::AfdxErrorEvent - AFDX_ERROR_EVENT.

SYNOPSIS

#include <AfdxErrorEvent.h>

Inherits Vector::BLF::ObjectHeader.

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint16_t calculateHeaderSize () const override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default

  Public Attributes
uint16_t channel {}
application channel
uint16_t errorLevel {}
Error Level.
uint32_t sourceIdentifier {}
std::array< char, 512 > errorText {}
std::array< char, 512 > errorAttributes {}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint16_t clientIndex {}
client index of send node
uint16_t objectVersion {0}
object specific version
uint64_t objectTimeStamp {}
object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type

  Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }

Detailed Description

AFDX_ERROR_EVENT. AFDX general error event, available since 8.5

Member Function Documentation

  uint32_t Vector::BLF::AfdxErrorEvent::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::AfdxErrorEvent::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::AfdxErrorEvent::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Member Data Documentation

  std::array<char, 512> Vector::BLF::AfdxErrorEvent::errorAttributes {}
error attributes

  uint16_t Vector::BLF::AfdxErrorEvent::errorLevel {}

Error Level.

•   0=error

•   1=warning

•   2=info

  std::array<char, 512> Vector::BLF::AfdxErrorEvent::errorText {}
error text

  uint32_t Vector::BLF::AfdxErrorEvent::sourceIdentifier {}
source identifier

Author

Generated automatically by Doxygen for Vector BLF from the source code.